Bug 468253 - Integration needed between Firefox and Rhythmbox for RSS feeds
Integration needed between Firefox and Rhythmbox for RSS feeds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 14:59 EDT by Christopher Beland
Modified: 2010-06-28 06:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 461429 None None None Never

  None (edit)
Description Christopher Beland 2008-10-23 14:59:40 EDT
This is what I did and what happened:

0. Open Rhythmbox.

1. View http://www.sciencefriday.com/feed/scifrisite.xml in Firefox by clicking on the RSS logo at http://www.sciencefriday.com/feeds/radio/

2. Select /usr/bin/rhythmbox in the "Subscribe to this feed using" pulldown.

3. Click the "Subscribe now" button.

4. "sciencefriday.com" shows up in Rhthymbox under "Playlists" and is fairly useless.

This is with firefox-3.0.2-1.fc9.i386 and rhythmbox-0.11.6-2.fc9.i386.

I would be nicer if A.) Rhythmbox was on the "Subscribe to this feed using" pulldown without having to explicitly browse to it and B.) Rhythmbox handled the RSS properly, loading it as a podcast and subcribing to it.
Comment 1 Christopher Beland 2008-10-23 15:10:04 EDT
Sorry, that wasn't an audio podcast; a better example is:

http://www.npr.org/rss/podcast.php?id=510221

It's somewhat confusing in that there are multiple RSS feeds at

http://www.sciencefriday.com/feeds/radio/

but clicking on the RSS logo in the location bar only brings up one of them.
Comment 2 Christopher Beland 2008-10-23 15:11:04 EDT
The first episode of the audio podcast gets opened and is playable under the "Radio" section, but again it should be subscribed to as a podcast so all episodes are playable.
Comment 3 Matěj Cepl 2008-10-23 18:57:41 EDT
Filed an upstream bug (https://bugzilla.mozilla.org/show_bug.cgi?id=461429) so from my side it could be closed as UPSTREAM.

However, passing the bug to RB folks, because they seem to be ones who would have to take the biggest slack of actual work.
Comment 4 Bastien Nocera 2008-10-23 20:32:14 EDT
If somebody tells me how to change the "browser.audioFeeds.handler" and add a browser.contentHandlers.types.*.* (as per https://developer.mozilla.org/en/Adding_feed_readers_to_Firefox), I could certainly add Rhythmbox support.

Is there a way to drop a file such as chrome://browser-region/locale/region.properties to have this added? Why doesn't Firefox just list all the applications that can handle application/vnd.mozilla.maybe.feed instead?
Comment 5 Bug Zapper 2009-06-09 23:03:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christopher Beland 2009-06-12 22:03:51 EDT
I tried reproducing this in Fedora 11 Final with firefox-3.5-0.20.beta4.fc11.x86_64 and rhythmbox-0.12.1-3.fc11.x86_64.  There is no need to open Rhythmbox as noted in step 0; it opens itself as needed.  After step 3, I got the following error:

>>
Error in podcast

There was a problem adding this podcast: The feed does not contain any downloadable items.  Please verify the URL: http://www.sciencefriday.com/feed/scifrisite.xml. Would you like to add the podcast feed anyway?
<<

This actually appears to be correct and proper behavior; I will report the problem to the website.  If I view a known-good podcast directly, such as:

http://www.npr.org/rss/podcast.php?id=510221

This works fine; the only problem is that I have to browse to /usr/bin/rhythmbox manually.  Many users would not know how to do that, and it takes a long time due to the number of files in this directory.

This bug is still assigned to firefox, and after reading the comments above, I'm confused about whether or not that's intentional.
Comment 7 Bug Zapper 2010-04-27 08:17:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:46:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.